Package org.eclipse.viatra.transformation.evm.api.adapter

## Class AdaptableEVMFactory

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.adapter.AdaptableEVMFactory

-     public class AdaptableEVMFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AdaptableEVMFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AdaptableEVM` | `createAdaptableEVM()` |
    `AdaptableEVM` | `createAdaptableEVM​(java.lang.String id)` |
    `void` | `disposeAdaptableEVM​(AdaptableEVM evm)` |
    `AdaptableEVM` | `getAdaptableEVMInstance​(java.lang.String id)` |
    `java.util.List<AdaptableEVM>` | `getAdaptableEVMInstances()` |
    `static AdaptableEVMFactory` | `getInstance()` |
    `protected void` | `notifyListeners()` |
    `void` | `registerListener​(IAdaptableEVMFactoryListener listener)` |
    `void` | `unRegisterListener​(IAdaptableEVMFactoryListener listener)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdaptableEVMFactory

          protected AdaptableEVMFactory()

  - ### Method Detail

    - #### getInstance

          public static AdaptableEVMFactory getInstance()

    - #### getAdaptableEVMInstances

          public java.util.List<AdaptableEVM> getAdaptableEVMInstances()

    - #### getAdaptableEVMInstance

          public AdaptableEVM getAdaptableEVMInstance​(java.lang.String id)

    - #### createAdaptableEVM

          public AdaptableEVM createAdaptableEVM()

    - #### disposeAdaptableEVM

          public void disposeAdaptableEVM​(AdaptableEVM evm)

    - #### createAdaptableEVM

          public AdaptableEVM createAdaptableEVM​(java.lang.String id)

    - #### registerListener

          public void registerListener​(IAdaptableEVMFactoryListener listener)

    - #### notifyListeners

          protected void notifyListeners()

    - #### unRegisterListener

          public void unRegisterListener​(IAdaptableEVMFactoryListener listener)